:root {
  --text-white: #dfdfdf;
  --text-gray: #878787;
  --bg-blue: #263ca3; 
}


	/*### Fonts ###*/


@font-face {
	font-family: mulish;
	src: url(/fonts/mulish-v18-cyrillic_latin-regular.woff2);
}

@font-face {
	font-family: alumni;
	src: url(/fonts/alumni-sans-sc-v3-cyrillic_latin-regular.woff2);
}


	/*### Global ###*/


* {
	margin: 0;
	padding: 0;
}

body {
	font-size: 20px;
	color: var(--text-white);
	font-family: mulish;
	background-color: #0d0d12;
}

.contentCont {
	max-width: 1280px;
	margin: 120px auto;
}


	/*### General ###*/


hr {
	border: 1px solid;
	border-radius: 1px;
	margin: 20px 20px;
}

.content {
	margin: 20px 20px;
}

.link {
	white-space: nowrap;
	text-decoration: none;
}

.header {
	width: fit-content;
}

.center {
	display: flex;
	justify-content: center;
	text-align: center;
	margin: 10px auto;
}

.button {
	transition: filter .2s;
}
.button:hover {
	filter: brightness(70%);
	cursor: pointer;
}

.image {
	display: block;
}


	/*### Individual Elements ###*/


	/* Navbar */

.navbar {
	background-color: var(--bg-blue);
	position: fixed;
	top: 0;
	width: 100%;
}

.navbarCont {
	display: flex;
	align-items: center;
	gap: 10px;
	max-width: 1280px;
	margin: auto;
}

.mascotImage {
	padding: 10px 10px 0px 20px;
}

.navbarButton {
	font-size: 20px;
	color: var(--text-white);
	padding: 10px;
}

	/* General Info */

.serverDesc {
	color: var(--text-gray);
	max-width: 450px;
	margin-bottom: 20px;
}

.infoCont {
	display: flex;
	width: fit-content;
	gap: 10px;
}

.address, .version {
	font-family: alumni;
	font-size: 24px;
	font-weight: bold;
	letter-spacing: 1px;
	white-space: nowrap;
	padding: 6px 12px;
	border-radius: 10px;
}

.address {
	background-color: var(--bg-blue);
	display: flex;
	align-items: center;
	gap: 10px;
}

.version {
	color: var(--bg-blue);
	background-color: var(--text-white);
}

	/* Screenshots */

.buildsLink {
	color: var(--text-gray);
	display: flex;
	align-items: baseline;
	justify-content: center;
	gap: 5px;
}

.screenshotsCont {
	display: flex;
	align-items: center;
	gap: 10px;
}

.carousel {
	display: flex;
	overflow-x: scroll;
	scroll-behavior: smooth;
	scroll-snap-type: x mandatory;
	gap: 10px;
	border-radius: 10px;
}

	/* Hide scrollbar for Chrome, Safari and Opera */

.carousel::-webkit-scrollbar {
  display: none;
}

	/* Hide scrollbar for IE, Edge and Firefox */

.carousel {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.screenshot {
	border-radius: 10px;
	scroll-snap-align: center;
}

.scrollArrow {
	padding: 20px 10px;
}

	/* Links and Socials */

.socialsCont {
	display: grid;
	grid-template-columns: auto auto auto;
	justify-content: center;
	min-width: max-content;
	gap: 30px;
}

.socialsItem {
	display: flex;
	width: min-content;
	flex-direction: column;
	align-items: center;
	gap: 20px;
}

.socialsButton {
	font-family: alumni;
	font-size: 28px;
	font-weight: bold;
	display: flex;
	align-items: center;
	justify-content: space-around;
	width: 180px;
	padding: 10px 20px;
	border-radius: 100px;
}

.socialsIcon {
	margin: auto 0px;
}

.socialsDesc {
	font-style: italic;
	font-size: 18px;
	text-align: center;
	color: var(--text-gray);
	max-width: 230px;
	margin: auto;
}

.twitch {
	color: var(--text-white);
	background-color: #7d40db;
}

.youtube {
	color: var(--text-white);
	background-color: #850016;
}

.patreon {
	color: black;
	background-color: #dfdfdf;
}

.dalerts {
	color: var(--text-white);
	background-color: #f57d07;
}
